QGIS Application - Bug report #16291
Warp (reproject) Raster Filename Error
2017-03-06 02:07 AM - Rainer Spalt

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.18.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24201
Description

When you try to reproject a Raster and the filename has an underline in it you'll get the Error:

"ERROR 6: Invalid filename. Must be ABCDEF01.GEN "

This occurs not only the filename itself like "test*_*01.1iff" but also in the pathname like "C:/User/..../Project*_*01/test.tiff"

Seems like a rather trivial problem, but we work a lot with underlines on our local server. For now we have to save it in a dummy folder and
then copy the file to the actual project folder.

This issue is in 2.14. and 2.18 Version

History

#1 - 2017-03-06 04:12 AM - Giovanni Manghi

- Category changed from Rasters to Processing/GDAL
- Target version set to Version 2.18

- Assignee set to Giovanni Manghi

#2 - 2017-05-01 01:01 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#3 - 2017-07-22 02:02 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

It works as expected in both cases in 2.18.10 (underscore in filename and path, this even before https:/github.com/qgis/QGIS/pull/4906)
https://github.com/qgis/QGIS/pull/4906

